Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/sha1.h File Reference

SHA-1 hash function, header. More...

`#include "beecrypt.h"`

Go to the source code of this file.

## Data Structures
struct | sha1Param
## Functions
void | sha1Process (sha1Param *p)
int | sha1Reset (sha1Param *p)
int | sha1Update (sha1Param *p, const byte *data, int size)
int | sha1Digest (sha1Param *p, uint32 *data)
## Variables
const hashFunction | sha1

## Detailed Description

SHA-1 hash function, header.

Definition in file sha1.h.